summaryrefslogtreecommitdiff
path: root/librpc
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2008-12-16 18:56:21 +0100
committerJelmer Vernooij <jelmer@samba.org>2008-12-16 18:56:21 +0100
commitb5a0c4cefed62fcb67c5f214bed27083a44b012d (patch)
treec73676ff91f9f51e2367f5ff49ef0ee83ae438a3 /librpc
parent9692c71aa1552a6415bec185706aa7afdf16c288 (diff)
downloadsamba-b5a0c4cefed62fcb67c5f214bed27083a44b012d.tar.gz
samba-b5a0c4cefed62fcb67c5f214bed27083a44b012d.tar.bz2
samba-b5a0c4cefed62fcb67c5f214bed27083a44b012d.zip
Share object files for gen_ndr.
Diffstat (limited to 'librpc')
-rwxr-xr-xlibrpc/build_idl.sh55
-rw-r--r--librpc/idl/remact.idl2
-rw-r--r--librpc/idl/scerpc.idl18
3 files changed, 74 insertions, 1 deletions
diff --git a/librpc/build_idl.sh b/librpc/build_idl.sh
new file mode 100755
index 0000000000..bd0e74e556
--- /dev/null
+++ b/librpc/build_idl.sh
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+if [ "$1" = "--full" ]; then
+ FULL=1
+ shift 1
+else
+ FULL=0
+fi
+
+ARGS="--outputdir $PIDL_OUTPUTDIR --header --ndr-parser --samba3-ndr-server --samba3-ndr-client --server --client --python --dcom-proxy --com-header $PIDL_ARGS --"
+IDL_FILES="$*"
+
+oldpwd=`pwd`
+cd ${srcdir}
+
+[ -d $PIDL_OUTPUTDIR ] || mkdir -p $PIDL_OUTPUTDIR || exit 1
+
+PIDL="$PIDL $ARGS"
+
+if [ $FULL = 1 ]; then
+ echo "Rebuilding all idl files"
+ $PIDL $IDL_FILES || exit 1
+ exit 0
+fi
+
+##
+## Find newer files rather than rebuild all of them
+##
+
+list=""
+for f in ${IDL_FILES}; do
+ basename=`basename $f .idl`
+ ndr="$PIDL_OUTPUTDIR/ndr_$basename.c"
+
+ if [ -f $ndr ]; then
+ if [ "x`find $f -newer $ndr -print`" = "x$f" ]; then
+ list="$list $f"
+ fi
+ else
+ list="$list $f"
+ fi
+done
+
+##
+## generate the ndr stubs
+##
+
+if [ "x$list" != x ]; then
+ # echo "${PIDL} ${list}"
+ $PIDL $list || exit 1
+fi
+
+cd ${oldpwd}
+
+exit 0
diff --git a/librpc/idl/remact.idl b/librpc/idl/remact.idl
index 2165ecfc81..14fd6cedcf 100644
--- a/librpc/idl/remact.idl
+++ b/librpc/idl/remact.idl
@@ -23,7 +23,7 @@ interface IRemoteActivation
const uint32 MODE_GET_CLASS_OBJECT = 0xffffffff;
WERROR RemoteActivation (
- [in] ORPCTHIS this,
+ [in] ORPCTHIS this_object,
[out,ref] ORPCTHAT *that,
[in] GUID Clsid,
[in] [string,charset(UTF16)] uint16 *pwszObjectName,
diff --git a/librpc/idl/scerpc.idl b/librpc/idl/scerpc.idl
new file mode 100644
index 0000000000..2c3c4f865f
--- /dev/null
+++ b/librpc/idl/scerpc.idl
@@ -0,0 +1,18 @@
+/*
+ security configuration editor interface definitions
+*/
+
+[
+ uuid("93149ca2-973b-11d1-8c39-00c04fb984f9"),
+ version(0.0),
+ pointer_default(unique),
+ helpstring("Security Configuration Editor")
+]
+interface scerpc
+{
+
+ /*****************/
+ /* Function 0x00 */
+ WERROR scerpc_Unknown0();
+}
+